## clamav 0.99.2+dfsg

=== debian/changelog ===
clamav (0.99.2+dfsg-6) unstable; urgency=medium

  * Fix detection of curl. Patch by Reiner Herrmann <reiner@reiner-h.de>
    (Closes: #852894).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 04 Feb 2017 21:54:51 +0100

clamav (0.99.2+dfsg-5) unstable; urgency=medium

  [ Andreas Cadhalpun ]
  * Add patches to support LLVM 3.7-3.9.
  * Re-enable llvm support.
  * Update embedded-library lintian override for multiarch locations.
  * Update standards version to 3.9.8. (no changes needed)
  * Mark clamav-docs and clamav-testfiles as Multi-Arch foreign and
    libclamav7 as same.
  * Fix spelling errors in the debian files. (Closes: #825055)
  * Remove unused package-contains-timestamped-gzip lintian-override.
  * Fix wildcard-matches-nothing-in-dep5-copyright lintian warning.

  [ Sebastian Andrzej Siewior ]
  * Remove clamav-daemon.service.d on purge (Closes: #842074).
  * Fix FTCBFS: Annotate interpreter dependencies with :native. Patch by
    Helmut Grohne (Closes: #844066).
  * Drop bc from B-D, it seems we no longer need it.
  * Cherry-pick patch from bb11549 to fix a temp file cleanup issue
    (Closes: #824196).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 03 Dec 2016 23:24:48 +0100

clamav (0.99.2+dfsg-4) unstable; urgency=medium

  * Remove Stephen Gran as Uploader and thank you for your work
    (Closes: #838405).
  * Drop llvm supported for now. The bytecode will be interpreted by clamav
    instead of llvm's JIT - there is no loss in functionality. It will come back
    once we llvm support again (Closes: #839850).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 06 Oct 2016 21:13:04 +0200

clamav (0.99.2+dfsg-3) unstable; urgency=medium

  * BD on dh-strip-nondeterminism.
  * get it compiled against openssl 1.1.0 (Closes: #828083).
  * Drop support for clamav-daemon.socket. Should avoid restart loops if clamd
    crashes on start (via OOM for instance). (Closes: #824042).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 25 Aug 2016 21:07:04 +0200

clamav (0.99.2+dfsg-2) unstable; urgency=medium

  * Ensure the users of PRIVATE symbols (clamd + freshclam) do not fall
    behind a upstream version (Closes: #824485).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 19 May 2016 20:04:02 +0200

clamav (0.99.2+dfsg-1) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * also remove bytecode.cld on purge
  * Update to new upstream release 0.99.2
  * Drop AllowSupplementaryGroups option which is default now
    (Closes: #822444).
  * Let the LSB init script have more consistent output. Patch by Guillem
    Jover (Closes: #823074).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 07 May 2016 20:39:36 +0200

clamav (0.99.1+dfsg-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Update version guards for pid file checks in clamav-daemon and clamav-
    freshclam to account for squeeze-lts upload that did not include the
    related change
  * Bump standards version to 3.9.7 without further change
  * Bump debhelper minimum version requirement to 9 to match compat
  * Drop squeeze related work-arounds now that squeeze-lts is no longer
    supported
    - Strip llvm from the upstream tarball in Files-Excluded to make it more
      compatct (system llvm is always used now)
    - Clean up debian/rules by removing squeeze specific configuration and
      work arounds

  [ Adriano Rafael Gomes ]
  * Brazilian Portuguese debconf templates translation (Closes: #816956).

  [ Sebastian Andrzej Siewior ]
  * Import new upstream
  * Drop patches applied upstream:
    - add-LLVM-3.6-support.patch
    - libclamav-yara-avoid-unaliged-access-to-64bit-variab.patch
  * add new clamd.conf options.
  * update symbol version for cl_retflevel due to CL_FLEVEL change.
  * use a https:// prefix in VCS-* links and for the homepage.
  * use "hardening=+all" for building.
  * fixup typos in copyright file
  * exclude .zip files dh_strip_nondeterminism because it currently breaks
    them. This `repairs' the .zip files in clamav-testfiles.
  * Update pid checks clamav-daemon and clamav-freshclam match lower than 0.99
    version (to catch the upgrade path).
  * Apply malloc() check, from clamav's bugzilla #11524, #11526, #11529

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 11 Mar 2016 23:32:45 +0100

clamav (0.99+dfsg-2) unstable; urgency=medium

  * Use compat 9 and drop clamav-dbg in favour of dbgsym.
  * use libtfm-dev instead of in-tree copy and drop all tfm related patches.
  * Add libclamav-yara-avoid-unaliged-access-to-64bit-variab.patch to get the
    testsuite passed on sparc. It also seem avoid invalid loads on ARMv5 cpus.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 21 Feb 2016 15:25:59 +0100

=== debian/control ===
Source: clamav
Section: utils
Priority: optional
Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Michael Tautschnig <mt@debian.org>,
           Scott Kitterman <scott@kitterman.com>,
           Sebastian Andrzej Siewior <sebastian@breakpoint.cc>,
           Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>
Build-Depends: automake,
               check,
               debhelper (>= 9),
               dh-autoreconf,
               dh-systemd,
               dh-strip-nondeterminism,
               electric-fence,
               libbz2-dev,
               libcurl4-openssl-dev,
               libjson-c-dev | libjson0-dev,
               libltdl-dev,
               libmilter-dev,
               libmspack-dev,
               libncurses5-dev,
               libpcre3-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libtfm-dev,
               libxml2-dev,
               llvm-dev [i386 amd64 kfreebsd-amd64 kfreebsd-i386],
               perl:native,
               pkg-config,
               po-debconf,
               python:native,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-clamav/clamav.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-clamav/clamav.git
Homepage: https://www.clamav.net/

Package: clamav-base
Architecture: all
Depends: adduser, logrotate, ucf, ${misc:Depends}
Recommends: clamav
Description: anti-virus utility for Unix - base package
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package mainly manages the clamav system account. It is not really
 useful without the clamav or clamav-daemon package.

Package: clamav-docs
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: anti-virus utility for Unix - documentation
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the documentation for the ClamAV suite.

Package: clamav
Architecture: any
Multi-Arch: foreign
Depends: clamav-freshclam (>= ${source:Upstream-Version}) | clamav-data,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: clamav-base
Suggests: clamav-docs
Description: anti-virus utility for Unix - command-line interface
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the command line interface. Features:
  - built-in support for various archive formats, including Zip, Tar,
    Gzip, Bzip2, OLE2, Cabinet, CHM, BinHex, SIS and others;
  - built-in support for almost all mail file formats;
  - built-in support for ELF executables and Portable Executable files
    compressed with UPX, FSG, Petite, NsPack, wwpack32, MEW, Upack and
    obfuscated with SUE, Y0da Cryptor and others;
  - built-in support for popular document formats including Microsoft
    Office and Mac Office files, HTML, RTF and PDF.
 .
 For scanning to work, a virus database is needed. There are two options
 for getting it:
  - clamav-freshclam: updates the database from Internet. This is
    recommended with Internet access.
  - clamav-data: for users without Internet access. The package is
    not updated once installed. The clamav-getfiles package allows
    creating custom packages from an Internet-connected computer.

Package: libclamav-dev
Section: libdevel
Architecture: any
Depends: libbz2-dev,
         libc6-dev | libc-dev,
         libclamav7 (= ${binary:Version}),
         libidn11-dev,
         libssl-dev,
         libtommath-dev,
         zlib1g-dev,
         ${misc:Depends}
Description: anti-virus utility for Unix - development files
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 The package contains the needed headers and libraries for
 developing software using the libclamav interface.
 .
 This library can be used to develop virus scanner applications.

Package: libclamav7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libclamunrar7
Description: anti-virus utility for Unix - library
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 For programs written using the libclamav library. Libclamav may be used to add
 virus protection into software. The library is thread-safe, and automatically
 recognizes and scans archives. Scanning is very fast and most of the time
 not noticeable.

Package: clamav-daemon
Architecture: any
Depends: adduser,
         clamav-base (= ${source:Version}),
         clamav-freshclam (>= ${source:Upstream-Version}) | clamav-data,
         dpkg (>= 1.16.1),
         lsb-base (>= 3.2-13),
         procps (>= 1:3.3.2),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: clamdscan
Suggests: apparmor, clamav-docs, daemon [!hurd-any]
Breaks: clamav-base (<< 0.98.1+dfsg-6)
Replaces: clamav-base (<< 0.98.1+dfsg-6)
Description: anti-virus utility for Unix - scanner daemon
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the daemon featuring:
  - fast, multi-threaded daemon;
  - easy integration with MTA's;
  - support for on-access scanning;
  - remote scanning;
  - able to be run supervised by daemon.

Package: clamdscan
Architecture: any
Depends: clamav-base (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: clamd (<< 0.98.5~beta1+dfsg-3)
Replaces: clamd (<< 0.98.5~beta1+dfsg-3)
Suggests: clamav-daemon, clamav-docs
Description: anti-virus utility for Unix - scanner client
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains clamdscan, the command line interface of the clamav
 daemon.

Package: clamav-testfiles
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: anti-virus utility for Unix - test files
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains files 'infected' with a test signature. The test
 signature (ClamAV-Test-Signature) should be detectable by all
 anti-virus programs.

Package: clamav-freshclam
Architecture: any
Conflicts: clamav-data, libclamav2, libclamav3
Provides: clamav-data
Suggests: apparmor, clamav-docs
Depends: clamav-base (>= ${source:Version}),
         dpkg (>= 1.16.1),
         logrotate,
         lsb-base (>= 3.2-13),
         procps (>= 1:3.3.2),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Description: anti-virus utility for Unix - virus database update utility
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the freshclam program and scripts to automate virus
 database updating. It relies on an Internet connection, but can be
 run in a variety of ways to compensate for intermittent connections.

Package: clamav-milter
Architecture: any
Suggests: clamav-docs, daemon [!hurd-any]
Priority: extra
Recommends: clamav-daemon
Depends: adduser,
         clamav-base (>= ${source:Version}),
         clamav-freshclam (>= ${source:Upstream-Version}) | clamav-data,
         dpkg (>= 1.16.1),
         logrotate,
         lsb-base (>= 3.2-13),
         procps (>= 1:3.3.2),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Description: anti-virus utility for Unix - sendmail integration
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the ClamAV milter for use with sendmail. It can
 be configured to be run either standalone, or using clamav-daemon.

=== debian/rules ===
#! /usr/bin/make -f

# Comment this out to turn off verbose mode.
#export DH_VERBOSE=1

# Automake 1.14 warns about not using subdir-objects,
# but using this option breaks the build, see:
#    http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16375
#    http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13928
# The following variables can be used to override the automake/aclocal versions.
#export AUTOMAKE = automake
#export ACLOCAL = aclocal

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This is needed to work around arch-specific quirks in the test suite.
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Get the hardening build flags and enable all compiler warnings:
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) -Wall -D_FILE_OFFSET_BITS=64
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -Wall -D_FILE_OFFSET_BITS=64
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# LLVM is only used on these archs, so no point in enabling it elsewhere
# To add new llvm/jit archs add it here and to the arch list for llvm-dev in
# debian/control.
# PowerPC is disabled until atleast llvm-3.8. As thing stand now MCJIT is
# broken in llvm-3.6. llvm v3.8 looks promissing but needs to be verified.
ifeq (,$(filter $(DEB_HOST_ARCH), i386 amd64 kfreebsd-amd64 kfreebsd-i386))
  export enable_llvm=no
else
    SYSTEM_LLVM = -with-system-llvm=/usr/bin/llvm-config --with-llvm-linking=dynamic
endif

# Set the configure options:
#	* add the build flags
#	* set various paths
#	* disable test for clamav user/group (--disable-clamav)
#	* disable building of the non-free libclamunrar (--disable-unrar)
#	* build clamav-milter (--enable-milter)
#	* enable workaround for broken DNS servers (--enable-dns-fix)
#	* assume the C compiler uses GNU ld (--with-gnu-ld)
#	* use system libraries instead of the embedded copies (--with-system-tommath, --without-included-ltdl, -with-system-llvm=/usr/bin/llvm-config)
CONFIG := CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
	--with-dbdir=/var/lib/clamav --sysconfdir=/etc/clamav \
	--disable-clamav --disable-unrar --enable-milter --enable-dns-fix \
	--with-libjson \
	--with-gnu-ld $(SYSTEM_LLVM) \
	--with-systemdsystemunitdir=/lib/systemd/system

DEBUG_OPTS=

# Enable debug code, if nostrip was given.
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
else
	DEBUG_OPTS += --enable-debug
endif

# Don't use systemd on wheezy.
ifeq ($(shell cut -c1 /etc/debian_version),7)
  SYSTEMD =
else
  SYSTEMD = --with systemd
endif

# Use the default debhelper scripts, where possible.
# Enable parallel building and conditionally autoreconf and systemd.
%:
	dh $@ --parallel --with autoreconf $(SYSTEMD)

override_dh_auto_configure:
	$(info DEB_BUILD_OPTIONS = $(DEB_BUILD_OPTIONS))
	$(info CFLAGS = $(CFLAGS))
	$(info CXXFLAGS = $(CXXFLAGS))
	$(info CPPFLAGS = $(CPPFLAGS))
	$(info LDFLAGS = $(LDFLAGS))
	# Check for unknown options in the configuration files.
	egrep '^#[[:alpha:]]' etc/clamd.conf.sample | sed -e 's/^#//' | awk '{print $$1}' | while read opt; do \
	  if ! grep -q "$${opt}" debian/clamav-daemon.postinst.in ; then \
	    echo "Unhandled option(clamd.conf): $${opt}"; \
	    touch debian/exit; \
	  fi;\
	done; \
	egrep '^#[[:alpha:]]' etc/freshclam.conf.sample | sed -e 's/^#//' | awk '{print $$1}' | while read opt; do \
	  if ! grep -q "$${opt}" debian/clamav-freshclam.postinst.in ; then \
	    echo "Unhandled option (freshclam.conf): $${opt}"; \
	    touch debian/exit; \
	  fi;\
	done; \
	egrep '^#[[:alpha:]]' etc/clamav-milter.conf.sample | sed -e 's/^#//' | awk '{print $$1}' | while read opt; do \
	  if ! grep -q "$${opt}" debian/clamav-milter.postinst.in ; then \
	    echo "Unhandled option (clamav-milter.conf): $${opt}"; \
	    touch debian/exit; \
	  fi;\
	done; \
	# Check if for library features whih may get upgrade.
	if ! grep -q "CL_FLEVEL 82" libclamav/others.h ; then \
		echo "cl_retflevel needs boosting in symbol file"; \
		touch debian/exit; \
	fi;
	sed "s/ \(.*\)@CLAMAV_PRIVATE .*/ \1@CLAMAV_PRIVATE $(shell dpkg-parsechangelog -S Version | sed 's/+dfsg.*//')/" \
		< debian/libclamav7.symbols > debian/libclamav7.symbols.latest
	if ! cmp debian/libclamav7.symbols debian/libclamav7.symbols.latest; then \
		echo "Need to update CLAMAV_PRIVATE symbols"; \
		touch debian/exit; \
	fi;

	[ ! -f debian/exit ] || (rm debian/exit && exit 1)
	rm debian/libclamav7.symbols.latest

	# Configure using the specified flags.
	dh_auto_configure -- $(CONFIG) $(DEBUG_OPTS)

override_dh_auto_clean:
	# Update .po files for debconf.
	debconf-updatepo
	dh_auto_clean

clamav_build-indep:
	# Add common functions in config and postinst files.
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-base.postinst.in > debian/clamav-base.postinst

clamav_build-arch:
	# Add common functions in config and postinst files.
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-milter.init.in > debian/clamav-milter.init
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-milter.config.in > debian/clamav-milter.config
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-milter.postinst.in > debian/clamav-milter.postinst
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-daemon.config.in > debian/clamav-daemon.config
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-daemon.postinst.in > debian/clamav-daemon.postinst
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-daemon.init.in > debian/clamav-daemon.init
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.init.in > debian/clamav-freshclam.init
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.config.in > debian/clamav-freshclam.config
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.postinst.in > debian/clamav-freshclam.postinst
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.prerm.in > debian/clamav-freshclam.prerm

override_dh_auto_build-indep: clamav_build-indep
	# Build architecture-independent files.
	dh_auto_build -i -- V=1

override_dh_auto_build-arch: clamav_build-arch
	# Build architecture-dependent files.
	dh_auto_build -a -- V=1

override_dh_auto_test:
ifneq (,$(filter ia64 sparc, $(DEB_HOST_ARCH)))
	T=900 dh_auto_test -- EF_ALIGNMENT=8 V=1 VERBOSE=1
else
	T=900 dh_auto_test -- V=1 VERBOSE=1
endif

override_dh_strip:
	dh_strip --dbgsym-migration=clamav-dbg

override_dh_installinit:
	dh_installinit -pclamav-daemon
	# Don't change the postinst/postrm scripts for clamav-freshclam, as they need non-standard code.
	dh_installinit -pclamav-freshclam --noscripts
	dh_installinit -pclamav-milter

override_dh_installdocs-indep:
	dh_installdocs
	# Make the .rar test files which are no longer created
	cat test/.split/split.clam-v2.raraa test/.split/split.clam-v2.rarab >debian/clamav-testfiles/usr/share/clamav-testfiles/clam-v2.rar
	cat test/.split/split.clam-v3.raraa test/.split/split.clam-v3.rarab >debian/clamav-testfiles/usr/share/clamav-testfiles/clam-v3.rar

# dh_strip_nondeterminism breaks .zip files. See #817943
override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xclam.bz2.zip -Xclam.d64.zip -Xclam.impl.zip -Xclam.zip

# Install the upstream ChangeLog.
override_dh_installchangelogs:
	dh_installchangelogs -pclamav-base ChangeLog
	dh_installchangelogs -pclamav-daemon ChangeLog
	dh_installchangelogs -pclamav-docs ChangeLog
	dh_installchangelogs -pclamav-freshclam ChangeLog
	dh_installchangelogs -pclamav-milter ChangeLog
	dh_installchangelogs -pclamav-testfiles ChangeLog
	dh_installchangelogs -pclamav ChangeLog
	dh_installchangelogs -pclamdscan ChangeLog

## clamav 0.99.4+addedllvm

=== libclamav/c++/llvm/Makefile ===
#===- ./Makefile -------------------------------------------*- Makefile -*--===#
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
#===------------------------------------------------------------------------===#

LEVEL := .

# Top-Level LLVM Build Stages:
#   1. Build lib/System and lib/Support, which are used by utils (tblgen).
#   2. Build utils, which is used by VMCore.
#   3. Build VMCore, which builds the Intrinsics.inc file used by libs.
#   4. Build libs, which are needed by llvm-config.
#   5. Build llvm-config, which determines inter-lib dependencies for tools.
#   6. Build tools, runtime, docs.
#
# When cross-compiling, there are some things (tablegen) that need to
# be build for the build system first.

# If "RC_ProjectName" exists in the environment, and its value is
# "llvmCore", then this is an "Apple-style" build; search for
# "Apple-style" in the comments for more info.  Anything else is a
# normal build.
ifneq ($(findstring llvmCore, $(RC_ProjectName)),llvmCore)  # Normal build (not "Apple-style").

ifeq ($(BUILD_DIRS_ONLY),1)
  DIRS := lib/System lib/Support utils
  OPTIONAL_DIRS :=
else
  DIRS := lib/System lib/Support utils lib/VMCore lib tools/llvm-shlib \
          tools/llvm-config tools runtime docs unittests
  OPTIONAL_DIRS := projects bindings
endif

ifeq ($(BUILD_EXAMPLES),1)
  OPTIONAL_DIRS += examples
endif

EXTRA_DIST := test unittests llvm.spec include win32 Xcode

include $(LEVEL)/Makefile.config

ifneq ($(ENABLE_SHARED),1)
  DIRS := $(filter-out tools/llvm-shlib, $(DIRS))
endif

ifeq ($(MAKECMDGOALS),libs-only)
  DIRS := $(filter-out tools runtime docs, $(DIRS))
  OPTIONAL_DIRS :=
endif

ifeq ($(MAKECMDGOALS),install-libs)
  DIRS := $(filter-out tools runtime docs, $(DIRS))
  OPTIONAL_DIRS := $(filter bindings, $(OPTIONAL_DIRS))
endif

ifeq ($(MAKECMDGOALS),tools-only)
  DIRS := $(filter-out runtime docs, $(DIRS))
  OPTIONAL_DIRS :=
endif

ifeq ($(MAKECMDGOALS),install-clang)
  DIRS := tools/clang/tools/driver tools/clang/lib/Headers \
          tools/clang/runtime tools/clang/docs \
          tools/lto
  OPTIONAL_DIRS :=
  NO_INSTALL = 1
endif

ifeq ($(MAKECMDGOALS),install-clang-c)
  DIRS := tools/clang/tools/driver tools/clang/lib/Headers \
          tools/clang/tools/libclang tools/clang/tools/c-index-test \
	  tools/clang/include/clang-c
  OPTIONAL_DIRS :=
  NO_INSTALL = 1
endif

ifeq ($(MAKECMDGOALS),clang-only)
  DIRS := $(filter-out tools runtime docs unittests, $(DIRS)) \
          tools/clang tools/lto
  OPTIONAL_DIRS :=
endif

ifeq ($(MAKECMDGOALS),unittests)
  DIRS := $(filter-out tools runtime docs, $(DIRS)) utils unittests
  OPTIONAL_DIRS :=
endif

# Use NO_INSTALL define of the Makefile of each directory for deciding
# if the directory is installed or not
ifeq ($(MAKECMDGOALS),install)
  OPTIONAL_DIRS := $(filter bindings, $(OPTIONAL_DIRS))
endif

# If we're cross-compiling, build the build-hosted tools first
ifeq ($(LLVM_CROSS_COMPILING),1)
all:: cross-compile-build-tools

clean::
	$(Verb) rm -rf BuildTools

cross-compile-build-tools:
	$(Verb) if [ ! -f BuildTools/Makefile ]; then \
          $(MKDIR) BuildTools; \
	  cd BuildTools ; \
	  unset CFLAGS ; \
	  unset CXXFLAGS ; \
	  $(PROJ_SRC_DIR)/configure --build=$(BUILD_TRIPLE) \
		--host=$(BUILD_TRIPLE) --target=$(BUILD_TRIPLE); \
	  cd .. ; \
	fi; \
	(unset SDKROOT; \
	 $(MAKE) -C BuildTools \
	  BUILD_DIRS_ONLY=1 \
	  UNIVERSAL= \
	  ENABLE_OPTIMIZED=$(ENABLE_OPTIMIZED) \
	  ENABLE_PROFILING=$(ENABLE_PROFILING) \
	  ENABLE_COVERAGE=$(ENABLE_COVERAGE) \
	  DISABLE_ASSERTIONS=$(DISABLE_ASSERTIONS) \
	  ENABLE_EXPENSIVE_CHECKS=$(ENABLE_EXPENSIVE_CHECKS) \
	  CFLAGS= \
	  CXXFLAGS= \
	) || exit 1;
endif

# Include the main makefile machinery.
include $(LLVM_SRC_ROOT)/Makefile.rules

# Specify options to pass to configure script when we're
# running the dist-check target
DIST_CHECK_CONFIG_OPTIONS = --with-llvmgccdir=$(LLVMGCCDIR)

.PHONY: debug-opt-prof
debug-opt-prof:
	$(Echo) Building Debug Version
	$(Verb) $(MAKE)
	$(Echo)
	$(Echo) Building Optimized Version
	$(Echo)
	$(Verb) $(MAKE) ENABLE_OPTIMIZED=1
	$(Echo)
	$(Echo) Building Profiling Version
	$(Echo)
	$(Verb) $(MAKE) ENABLE_PROFILING=1

dist-hook::
	$(Echo) Eliminating files constructed by configure
	$(Verb) $(RM) -f \
	  $(TopDistDir)/include/llvm/Config/config.h  \
	  $(TopDistDir)/include/llvm/System/DataTypes.h

clang-only: all
tools-only: all
libs-only: all
install-clang: install
install-clang-c: install
install-libs: install

#------------------------------------------------------------------------
# Make sure the generated headers are up-to-date. This must be kept in
# sync with the AC_CONFIG_HEADER invocations in autoconf/configure.ac
#------------------------------------------------------------------------
FilesToConfig := \
  include/llvm/Config/config.h \
  include/llvm/Config/Targets.def \
  include/llvm/Config/AsmPrinters.def \
  include/llvm/Config/AsmParsers.def \
  include/llvm/Config/Disassemblers.def \
  include/llvm/System/DataTypes.h \
  tools/llvmc/src/Base.td
FilesToConfigPATH  := $(addprefix $(LLVM_OBJ_ROOT)/,$(FilesToConfig))

all-local:: $(FilesToConfigPATH)
$(FilesToConfigPATH) : $(LLVM_OBJ_ROOT)/% : $(LLVM_SRC_ROOT)/%.in
	$(Echo) Regenerating $*
	$(Verb) cd $(LLVM_OBJ_ROOT) && $(ConfigStatusScript) $*
.PRECIOUS: $(FilesToConfigPATH)

# NOTE: This needs to remain as the last target definition in this file so
# that it gets executed last.
ifneq ($(BUILD_DIRS_ONLY),1)
all::
	$(Echo) '*****' Completed $(BuildMode) Build
ifneq ($(ENABLE_OPTIMIZED),1)
	$(Echo) '*****' Note: Debug build can be 10 times slower than an
	$(Echo) '*****' optimized build. Use 'make ENABLE_OPTIMIZED=1' to
	$(Echo) '*****' make an optimized build. Alternatively you can
	$(Echo) '*****' configure with --enable-optimized.
endif
endif

check-llvm2cpp:
	$(Verb)$(MAKE) check TESTSUITE=Feature RUNLLVM2CPP=1

srpm: $(LLVM_OBJ_ROOT)/llvm.spec
	rpmbuild -bs $(LLVM_OBJ_ROOT)/llvm.spec

rpm: $(LLVM_OBJ_ROOT)/llvm.spec
	rpmbuild -bb --target $(TARGET_TRIPLE) $(LLVM_OBJ_ROOT)/llvm.spec

show-footprint:
	$(Verb) du -sk $(LibDir)
	$(Verb) du -sk $(ToolDir)
	$(Verb) du -sk $(ExmplDir)
	$(Verb) du -sk $(ObjDir)

build-for-llvm-top:
	$(Verb) if test ! -f ./config.status ; then \
	  ./configure --prefix="$(LLVM_TOP)/install" \
	    --with-llvm-gcc="$(LLVM_TOP)/llvm-gcc" ; \
	fi
	$(Verb) $(MAKE) tools-only

SVN = svn
SVN-UPDATE-OPTIONS =
AWK = awk
SUB-SVN-DIRS = $(AWK) '/\?\ \ \ \ \ \ / {print $$2}'   \
		| LC_ALL=C xargs $(SVN) info 2>/dev/null \
		| $(AWK) '/Path:\ / {print $$2}'

update:
	$(SVN) $(SVN-UPDATE-OPTIONS) update $(LLVM_SRC_ROOT)
	@ $(SVN) status $(LLVM_SRC_ROOT) | $(SUB-SVN-DIRS) | xargs $(SVN) $(SVN-UPDATE-OPTIONS) update

happiness: update all check-all

.PHONY: srpm rpm update happiness

# declare all targets at this level to be serial:

.NOTPARALLEL:

else # Building "Apple-style."
# In an Apple-style build, once configuration is done, lines marked
# "Apple-style" are removed with sed!  Please don't remove these!
# Look for the string "Apple-style" in utils/buildit/build_llvm.
include $(shell find . -name GNUmakefile) # Building "Apple-style."
endif # Building "Apple-style."

=== libclamav/c++/llvm/lib/Makefile ===
##===- lib/Makefile ----------------------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##
LEVEL = ..

include $(LEVEL)/Makefile.config

PARALLEL_DIRS := VMCore AsmParser Bitcode Archive Analysis Transforms CodeGen \
                Target ExecutionEngine Linker MC CompilerDriver

include $(LEVEL)/Makefile.common

=== libclamav/c++/llvm/lib/ExecutionEngine/Makefile ===
##===- lib/ExecutionEngine/Makefile ------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##
LEVEL = ../..
LIBRARYNAME = LLVMExecutionEngine
PARALLEL_DIRS = Interpreter JIT

include $(LEVEL)/Makefile.common

=== libclamav/c++/llvm/lib/Support/Makefile ===
##===- lib/Support/Makefile --------------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

LEVEL = ../..
LIBRARYNAME = LLVMSupport
BUILD_ARCHIVE = 1

## FIXME: This only requires RTTI because tblgen uses it.  Fix that.
REQUIRES_RTTI = 1

include $(LEVEL)/Makefile.common

=== libclamav/c++/llvm/lib/VMCore/Makefile ===
##===- lib/VMCore/Makefile ---------------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##
LEVEL = ../..
LIBRARYNAME = LLVMCore
BUILD_ARCHIVE = 1
REQUIRES_RTTI = 1

BUILT_SOURCES = $(PROJ_OBJ_ROOT)/include/llvm/Intrinsics.gen

include $(LEVEL)/Makefile.common

GENFILE:=$(PROJ_OBJ_ROOT)/include/llvm/Intrinsics.gen

INTRINSICTD  := $(PROJ_SRC_ROOT)/include/llvm/Intrinsics.td
INTRINSICTDS := $(wildcard $(PROJ_SRC_ROOT)/include/llvm/Intrinsics*.td)

$(ObjDir)/Intrinsics.gen.tmp: $(ObjDir)/.dir $(INTRINSICTDS) $(TBLGEN)
	$(Echo) Building Intrinsics.gen.tmp from Intrinsics.td
	$(Verb) $(TableGen) $(call SYSPATH, $(INTRINSICTD)) -o $(call SYSPATH, $@) -gen-intrinsic

$(GENFILE): $(ObjDir)/Intrinsics.gen.tmp
	$(Verb) $(CMP) -s $@ $< || ( $(CP) $< $@ && \
	  $(EchoCmd) Updated Intrinsics.gen because Intrinsics.gen.tmp \
	    changed significantly. )

install-local:: $(GENFILE)
	$(Echo) Installing $(DESTDIR)$(PROJ_includedir)/llvm/Intrinsics.gen
	$(Verb) $(DataInstall) $(GENFILE) $(DESTDIR)$(PROJ_includedir)/llvm/Intrinsics.gen

=== libclamav/c++/llvm/lib/Transforms/Utils/CMakeLists.txt ===
add_llvm_library(LLVMTransformUtils
  AddrModeMatcher.cpp
  BasicBlockUtils.cpp
  BasicInliner.cpp
  BreakCriticalEdges.cpp
  BuildLibCalls.cpp
  CloneFunction.cpp
  CloneLoop.cpp
  CloneModule.cpp
  CodeExtractor.cpp
  DemoteRegToStack.cpp
  InlineFunction.cpp
  InstructionNamer.cpp
  LCSSA.cpp
  Local.cpp
  LoopSimplify.cpp
  LoopUnroll.cpp
  LowerInvoke.cpp
  LowerSwitch.cpp
  Mem2Reg.cpp
  PromoteMemoryToRegister.cpp
  SSAUpdater.cpp
  SimplifyCFG.cpp
  UnifyFunctionExitNodes.cpp
  ValueMapper.cpp
  )

target_link_libraries (LLVMTransformUtils LLVMSupport)

=== debian/changelog ===
clamav (0.99.4+addedllvm-0ubuntu1) bionic; urgency=medium

  * Updated to 0.99.4 to fix multiple security issues
    - CVE-2018-0202
    - CVE-2018-1000085
  * Removed patches no longer required
    - bb11549-fix-temp-file-cleanup-issue.patch
  * debian/libclamav7.symbols,debian/rules: bumped cl_retflevel.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 07 Mar 2018 12:07:58 +0100

clamav (0.99.3+addedllvm-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 06:47:33 +0000

clamav (0.99.3+addedllvm-0ubuntu1) bionic; urgency=medium

  * Updated to final 0.99.3 release. Previous beta release was based on the
    dev tree, but 0.99.3 ended up being a security update to 0.99.2, so
    some changes and functionality is reverted with this upload.
    - Add back patches still needed with final 0.99.3:
      + Allow-M-suffix-for-PCREMaxFileSize.patch
      + bb11549-fix-temp-file-cleanup-issue.patch
      + drop-AllowSupplementaryGroups-option-and-make-it-def.patch
      + fix-ssize_t-size_t-off_t-printf-modifier.patch
      + libclamav-use-libmspack.patch
    - debian/clamav-daemon.postinst.in: remove new options.
    - debian/libclamav7.symbols: updated for 0.99.3.
    - debian/libclamav7.symbols,debian/rules: bumped cl_retflevel.
    - debian/rules: remove --with-system-libmspack.
    - debian/patches/*: refreshed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 13 Feb 2018 08:18:35 -0500

clamav (0.99.3~beta1+dfsg-2ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 12:41:32 +0000

clamav (0.99.3~beta1+dfsg-2ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable (LP: #1732439). Remaining changes:
    - Fix build by forcing llvm 3.9
      (testsuite seems to be failing)
    - debian/patches/fix_newer_zlib.patch: fix compatibility with zlib
      1.2.9 and newer (LP #1692073).
      [DEP3 header updated to indicate it was incorporated upstream]
  * Drop:
    * debian/patches/zlib-check.patch:
      + cherry-pick upstream fix for wrong zlib version check
        [Fixed upstream]
    - SECURITY UPDATE: DoS via crafted e-mail message
      + debian/patches/CVE-2017-6418.patch: fix invalid read in
        libclamav/message.c.
      + CVE-2017-6418
        [Fixed upstream]
    - SECURITY UPDATE: DoS via WWPack compression
      + debian/patches/CVE-2017-6420.patch: add bounds checks to
        libclamav/wwunpack.c.
      + debian/patches/CVE-2017-6420-2.patch: fix unit tests in
        libclamav/wwunpack.c, unit_tests/check_jsnorm.c.
      + CVE-2017-6420
        [Fixed upstream]

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 22 Nov 2017 19:56:26 -0200

clamav (0.99.3~beta1+dfsg-2) unstable; urgency=medium

  * Build again against system's libmspack (dropped by accident)
    (Closes: #872594).
  * Don't replace config file with sample config after debconf gets disabled
    (in milter and daemon (Closes: #870253).
  * Update standards to 4.0.1
    - use invoke-rc.d instead of /etc/init.d.
    - drop priority extra from clamav-milter.
  * Add bytecode.c(l|v)d to log clamav-freshclam.logcheck.ignore.server. Patch
    by Václav Ovsík <vaclav.ovsik@gmail.com> (Closes: #868766).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 02 Sep 2017 21:26:33 +0200

clamav (0.99.3~beta1+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * update to official beta1 release:
    - drop fts-no-use-AC_TRY_RUN.patch, applied upstream.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 06 Aug 2017 22:13:23 +0200

clamav (0.99.3~snapshot20170704+dfsg-1) experimental; urgency=medium

  * Update to upstream snapshot (commit
    144ef69462427b63a650294257c892b047601aac):
    - add config options
    - boost symbol file
    - drop applied patches:
      - Allow-M-suffix-for-PCREMaxFileSize.patch
      - bb11549-fix-temp-file-cleanup-issue.patch
      - clamav_add_private_fts_implementation.patch
      - drop-AllowSupplementaryGroups-option-and-make-it-def.patch
      - fix-ssize_t-size_t-off_t-printf-modifier.patch
      - libclamav-use-libmspack.patch
      - make_it_compile_against_openssl_1_1_0.patch
    - add new ones:
      - fts-no-use-AC_TRY_RUN.patch
      - clamsubmit-add-JSON-libs-to-clamsubmit.patch

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 10 Jul 2017 00:06:32 +0200

clamav (0.99.2+dfsg-6ubuntu2) artful; urgency=medium

  * SECURITY UPDATE: DoS via crafted e-mail message
    - debian/patches/CVE-2017-6418.patch: fix invalid read in
      libclamav/message.c.
    - CVE-2017-6418
  * SECURITY UPDATE: DoS via WWPack compression
    - debian/patches/CVE-2017-6420.patch: add bounds checks to
      libclamav/wwunpack.c.
    - debian/patches/CVE-2017-6420-2.patch: fix unit tests in
      libclamav/wwunpack.c, unit_tests/check_jsnorm.c.
    - CVE-2017-6420
  * debian/patches/fix_newer_zlib.patch: fix compatibility with zlib
    1.2.9 and newer (LP: #1692073).

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Aug 2017 16:04:46 -0400

clamav (0.99.2+dfsg-6ubuntu1) artful; urgency=medium

  * Fix build by forcing llvm 3.9
    (testsuite seems to be failing)
  * debian/patches/zlib-check.patch:
    - cherry-pick upstream fix for wrong zlib version check

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 May 2017 11:18:30 +0200

clamav (0.99.2+dfsg-6build1) artful; urgency=medium

  * Rebuild against new llvm versioned symbols.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 May 2017 22:33:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: clamav
 Section: utils
 Priority: optional
-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Michael Tautschnig <mt@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
@@ -26,13 +27,13 @@
                libsystemd-dev [linux-any],
                libtfm-dev,
                libxml2-dev,
-               llvm-dev [i386 amd64 kfreebsd-amd64 kfreebsd-i386],
+               llvm-3.9-dev [i386 amd64 kfreebsd-amd64 kfreebsd-i386],
                perl:native,
                pkg-config,
                po-debconf,
                python:native,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-clamav/clamav.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-clamav/clamav.git
 Homepage: https://www.clamav.net/
@@ -246,7 +247,6 @@
 Package: clamav-milter
 Architecture: any
 Suggests: clamav-docs, daemon [!hurd-any]
-Priority: extra
 Recommends: clamav-daemon
 Depends: adduser,
          clamav-base (>= ${source:Version}),

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 ifeq (,$(filter $(DEB_HOST_ARCH), i386 amd64 kfreebsd-amd64 kfreebsd-i386))
   export enable_llvm=no
 else
-    SYSTEM_LLVM = -with-system-llvm=/usr/bin/llvm-config --with-llvm-linking=dynamic
+    SYSTEM_LLVM = -with-system-llvm=/usr/bin/llvm-config-3.9 --with-llvm-linking=dynamic
 endif
 
 # Set the configure options:
@@ -96,11 +96,11 @@
 	  fi;\
 	done; \
 	# Check if for library features whih may get upgrade.
-	if ! grep -q "CL_FLEVEL 82" libclamav/others.h ; then \
+	if ! grep -q "CL_FLEVEL 85" libclamav/others.h ; then \
 		echo "cl_retflevel needs boosting in symbol file"; \
 		touch debian/exit; \
 	fi;
-	sed "s/ \(.*\)@CLAMAV_PRIVATE .*/ \1@CLAMAV_PRIVATE $(shell dpkg-parsechangelog -S Version | sed 's/+dfsg.*//')/" \
+	sed "s/ \(.*\)@CLAMAV_PRIVATE .*/ \1@CLAMAV_PRIVATE $(shell dpkg-parsechangelog -S Version | sed 's/+addedllvm.*//')/" \
 		< debian/libclamav7.symbols > debian/libclamav7.symbols.latest
 	if ! cmp debian/libclamav7.symbols debian/libclamav7.symbols.latest; then \
 		echo "Need to update CLAMAV_PRIVATE symbols"; \

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d+)-*(beta|rc)/$1~$2/,dversionmangle=s/\+dfsg//,pgpsigurlmangle=s/$/.sig/" \
http://www.clamav.net/download.html /downloads/.*/clamav-(.*).tar.gz
# repository snapshots: fallback location with larger tarballs and without signatures
#opts="uversionmangle=s/(\d+)-*(beta|rc)/$1~$2/,dversionmangle=s/\+dfsg//" \
#https://github.com/vrtadmin/clamav-devel/tags /vrtadmin/clamav-devel/archive/clamav-(.*)\.tar\.gz
